Bug 19783 - Move check_kohastructure.t to db_dependent
Summary: Move check_kohastructure.t to db_dependent
Status: RESOLVED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Test Suite (show other bugs)
Version: master
Hardware: All All
: P5 - low normal (vote)
Assignee: Mirko Tietgen
QA Contact: Testopia
URL:
Whiteboard:
Keywords:
Depends on: 19422
Blocks:
  Show dependency treegraph
 
Reported: 2017-12-08 11:20 UTC by Mirko Tietgen
Modified: 2018-06-04 20:15 UTC (History)
3 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Bot Control: ---
When did the bot last check this:
Who signed the patch off:
Text to go in the release notes:


Attachments
Bug 19783 - make check_kohastructure.t compatible to package build process (1.22 KB, patch)
2017-12-08 11:36 UTC, Mirko Tietgen
Details | Diff | Splinter Review
Bug 19783: Move check_kohastructure.t to db_dependent (578 bytes, patch)
2018-01-19 12:56 UTC, Mirko Tietgen
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Mirko Tietgen 2017-12-08 11:20:25 UTC
The test fails during the Debian packaging build process.
This patch is a workaround, there is probably a more elegant way to do it.
Comment 1 Mirko Tietgen 2017-12-08 11:36:51 UTC
Created attachment 69636 [details] [review]
Bug 19783 - make check_kohastructure.t compatible to package build process

Check if kohastructure.pl is found in the package build location and runs
the test if found. Otherwise runs as before.
Comment 2 Mirko Tietgen 2017-12-08 11:46:39 UTC
To test:

If you have a working packaging setup, build a debian package and verify that check_kohastructure.t passes.

Otherwise, verify it still works in a dev installation, review the code.

The patch is used to build the 17.11.00 package.
Comment 3 Jonathan Druart 2018-01-05 14:54:17 UTC
What is the error? The file does not exist? intranetdir does not exist?
We should not use intranetdir in t (DB independent)?
Comment 4 Mirko Tietgen 2018-01-19 12:52:03 UTC
Moving it to db_dependent is the cleaner solution, I'll add a patch.
Comment 5 Mirko Tietgen 2018-01-19 12:56:58 UTC
Created attachment 70740 [details] [review]
Bug 19783: Move check_kohastructure.t to db_dependent
Comment 6 Mirko Tietgen 2018-01-19 13:22:26 UTC
This is needed in 17.11.
Comment 7 Jonathan Druart 2018-01-19 18:58:23 UTC
Patch pushed to master for 18.05
Thanks Mirko!
Comment 8 Nick Clemens 2018-01-23 04:12:21 UTC
Awesome work all!

Pushed to Stable for 17.11.02
Comment 9 Fridolin SOMERS 2018-01-31 08:07:25 UTC
Pushed to 17.05.x for v17.05.09